#!/bin/bash
# Script to install a prebuilt package

SRC_NAME=${SRC_LOC%.tar.*}
SRC_NAME=${SRC_NAME##*/}

if [ "$SRC_NAME" = "empty" ]; then
	exit 0
fi

echo "rm -rf $SRC_NAME"
rm -rf $SRC_NAME

for src in "$DOWNLOAD_LOC/$(basename $SRC_LOC)" "$DOWNLOAD_LOC/$(basename $SRC_LOC).tar.*"; do
	if [ -r "$src" ]; then
		echo "tar xf '$src'"
		tar xf "$src"
		break
	fi
done

echo "mkdir -p _install"
mkdir -p _install

echo "mv $SRC_NAME/* _install"
mv $SRC_NAME/* _install
